org.apache.hc.client5.http.entity.mime

## Class FormBodyPart

- java.lang.Object
- - org.apache.hc.client5.http.entity.mime.FormBodyPart

    public class FormBodyPart
    extends Object

FormBodyPart class represents a content body that can be used as a part of multipart encoded entities. This class automatically populates the header with standard fields based on the content description of the enclosed body.

Since:
  4.0

### Method Summary

Methods
`void` `addField(String name, String value)`
`ContentBody` `getBody()`
`Header` `getHeader()`
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public String getName()

#### getBody

    public ContentBody getBody()

#### getHeader

    public Header getHeader()

#### addField

    public void addField(String name,
                String value)